Skip to content

Create Connector

POST
/api/v1/connectors/
curl --request POST \
--url https://example.com/api/v1/connectors/ \
--header 'Content-Type: application/json' \
--data '{ "name": "example", "connector_type": "example", "config": {}, "target_table": "example", "created_by": "example" }'

Create a new connector configuration.

X-Environment-Id
Any of:
string
Media typeapplication/json
ConnectorCreateRequest

Request to create a new connector (stage + pipe).

object
name
required
Name

Unique connector name

string
connector_type
required
Connector Type

Connector type (s3, blob, gcs)

string
config
required
Config

Storage configuration

object
key
additional properties
any
target_table
Any of:
string
created_by
required
Created By

User creating the connector

string
Examplegenerated
{
"name": "example",
"connector_type": "example",
"config": {},
"target_table": "example",
"created_by": "example"
}

Successful Response

Media typeapplication/json
ConnectorResponse

Response for a connector.

object
id
required
Id
string
name
required
Name
string
connector_type
required
Connector Type
string
config
required
Config
object
key
additional properties
any
storage_integration
Any of:
string
stage_name
Any of:
string
pipe_name
Any of:
string
target_table
Any of:
string
status
required
Status
string
error_message
Any of:
string
created_at
required
Created At
string format: date-time
updated_at
required
Updated At
string format: date-time
created_by
required
Created By
string
Examplegenerated
{
"id": "example",
"name": "example",
"connector_type": "example",
"config": {},
"storage_integration": "example",
"stage_name": "example",
"pipe_name": "example",
"target_table": "example",
"status": "example",
"error_message": "example",
"created_at": "2026-04-15T12:00:00Z",
"updated_at": "2026-04-15T12:00:00Z",
"created_by": "example"
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}